<?php
/**
 * Luxeritas WordPress Theme - free/libre wordpress platform
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * @copyright Copyright (C) 2015 Thought is free.
 * @license http://www.gnu.org/licenses/gpl-2.0.html GPL v2 or later
 * @author LunaNuko
 * @link https://thk.kanzae.net/
 * @translators rakeem( http://rakeem.jp/ )
 */

?>
<div id="related">
<?php
global $luxe;

$categories = get_the_category($post->ID);
$category_ID = array();

foreach( $categories as $category ) {
	$category_ID[] = $category->cat_ID;
}

$args = array(
	'post__not_in' => array( $post->ID ),
	'posts_per_page'=> 5,
	'category__in' => $category_ID,
	'orderby' => 'rand',
);
$st_query = new WP_Query($args);

if( $st_query->have_posts() === true ) {
	while( $st_query->have_posts() === true ) {
		$st_query->the_post();
?>
<div class="toc clearfix">
<?php
		if( isset( $luxe['thumbnail_visible'] ) ) {
?>
<div class="term"><a href="<?php the_permalink() ?>"><?php
			$post_thumbnail = has_post_thumbnail();

			if( !empty( $post_thumbnail ) ) {	// サムネイル
				the_post_thumbnail( 'thumb100' );
			}
			else {
?><img src="<?php echo TURI; ?>/images/no-img-100x100.png" alt="No Image" title="No Image" width="100" height="100" />
<?php
			}
?></a>
</div>
<?php
		}
?>
<div class="excerpt">
<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
<p><?php echo apply_filters( 'thk_excerpt_no_break', 40 ); ?></p>
</div>
</div>
<?php
	}
}
else {
?>
<p class="no-related"><?php echo __( 'No related posts yet.', 'luxeritas' ); ?></p>
<?php
}
wp_reset_postdata();
?>
</div>
